> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vertgroup.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create



## OpenAPI

````yaml https://api.vertgroup.com.br/openapi.json post /automations
openapi: 3.1.0
info:
  title: SGG Automation — DOM Med
  version: 1.0.0
servers: []
security: []
paths:
  /automations:
    post:
      tags:
        - 01.Automation
      summary: Create
      operationId: create_automations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAutomationRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentifierResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateAutomationRequest:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        slug:
          type: string
          minLength: 1
          title: Slug
        sector_id:
          type: string
          format: uuid
          title: Sector Id
        parameters:
          items:
            $ref: '#/components/schemas/AutomationParameterDTO'
          type: array
          title: Parameters
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        max_concurrent_jobs:
          type: integer
          minimum: 1
          title: Max Concurrent Jobs
          default: 1
      type: object
      required:
        - name
        - slug
        - sector_id
      title: CreateAutomationRequest
    IdentifierResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Identificador unico do recurso recem-criado.
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
      type: object
      required:
        - id
      title: IdentifierResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AutomationParameterDTO:
      properties:
        name:
          type: string
          minLength: 1
          pattern: ^[a-z][a-z0-9_]*$
          title: Name
        type:
          $ref: '#/components/schemas/ParameterType'
        description:
          type: string
          title: Description
          default: ''
      type: object
      required:
        - name
        - type
      title: AutomationParameterDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ParameterType:
      type: string
      enum:
        - text
        - drive_file
        - drive_folder
        - sgg_client_list
      title: ParameterType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````